<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SleeveFactionTask](./bitburner.sleevefactiontask.md)

## SleeveFactionTask type


**Signature:**

```typescript
type SleeveFactionTask = {
  type: "FACTION";
  factionWorkType: FactionWorkType;
  factionName: FactionName;
};
```
**References:** [FactionWorkType](./bitburner.factionworktype.md)<!-- -->, [FactionName](./bitburner.factionname.md)

